Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface AttributeValues

    @UML(identifier="CV_AttributeValues",
         specification=ISO_19123)
    public interface AttributeValues

Represents an element from the range of the coverage.

See Also:
  `Coverage.getRangeElements()`
TODO:
  Do we really need this interface, since it contains only one attribute?

Method Summary
`Record` | `getValues()` Returns a record containing one value for each attribute, as specified in the coverage's range type.

Method Detail

### getValues

    @UML(identifier="values",
         obligation=MANDATORY,
         specification=ISO_19123)
    Record getValues()

  Returns a record containing one value for each attribute, as specified in the coverage's range type.

  Examples:

  - A coverage with a single (scalar) value (such as elevation).
  - A coverage with a series (array / tensor) of values all defined in the same way (such as brightness values in different parts of the electromagnetic spectrum).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.